/* reset */
html,body,
applet,object,iframe,
h1,h2,h3,h4,h5,h6,blockquote,pre,
a,abbr,acronym,address,big,cite,code,
del,dfn,em,font,img,ins,kbd,p,q,s,samp,
small,strike,sub,sup,tt,var,
dd,dl,dt,li,ol,ul,form,label,
table,caption,tbody,tfoot,thead,tr,th,td {
	margin: 0;
	padding: 0;
	border: 0;
	font-style: normal;
	font-size: 100%;
	font-family: "Poppins", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
	outline-style: none;
	scroll-behavior: smooth;
	scroll-padding-top: 90px;
}

/* headings */
h1, h2, h3, h1 a, h2 a,  h3 a {

}

/* Colors */
:root {	
	--color-primary: rgb(20, 20, 20); ; /* black */ 
	--color-secondary: #037542; /* green */
	--color-info: #a7c740; /* green light */
	--color-light: #D1D3D4; /* grey */
	--color-dark: rgb(69, 74, 78);  /* grey */
	--color-danger: rgb(117, 9, 9);  /* grey */
	
	--bg-primary: #037542; /* blue */ 
	--bg-secondary: #a7c740; /* grey */
	--bg-white: rgb(255, 255, 255);  
	--bg-black: rgb(0, 0, 0); 
	
	--head-frame-height: 120px;
	}
.text-primary {
	color: var(--color-primary) !important;
}
.text-secondary {
	color: var(--color-dark) !important;
}
.text-info {
	color: var(--color-secondary) !important;
}
.text-green-light {
	color: var(--color-info) !important;
}
.bg-primary {
	background-color: var(--bg-primary) !important;
}
.bg-secondary {
	background-color: var(--bg-secondary) !important;
}
.bg-light {
	background-color: var(--color-light) !important;
}
.bg-info {
	background-color: var(--color-info) !important;
}
.bg-danger {
	background-color: var(--color-danger) !important;
}
.bg-dark {
	background-color: var(--color-dark) !important;
}
.bg-white {
	background-color: var(--bg-white) !important;
}
.bg-black {
	background-color: var(--bg-black) !important;
}
.border-bottom {
	border-bottom: 1px dotted var(--color-secondary) !important;
}


/* Buttons */
.btn {
}
.btn-primary {
	background-color: var(--color-secondary) !important;
	border-color: var(--color-secondary) !important;
	color: white;
}
.btn-primary:hover {
	opacity: 0.8;
}
.btn-secondary {
}
.btn-outline-secondary {
}
em {
	font-style: italic;
}
textarea:focus, input:focus{
    outline: none;
}
body {
	margin: 0px;
	padding: 0px;
	text-align: left;
	font-size: 15px;
	color: var(--color-primary);
	background-color: white;
	text-align: left;
	min-width: 320px;
	font-style: normal;
	font-weight: 400;
}
.reset {
	clear: both;
	line-height: 0px;
	height: 0px;
	padding: 0px;
	margin: 0px;
}


a {
	-webkit-transition: all 0.2s;
	-moz-transition: all 0.2s;
	-ms-transition: all 0.2s;
	-o-transition: all 0.2s;
	transition: all 0.2s;
	color: var(--color-secondary);
}
a:hover, .hover-opacity:hover {
    -webkit-transition: all 0.2s;
    -moz-transition: all 0.2s;
    -ms-transition: all 0.2s;
    -o-transition: all 0.2s;
    transition: all 0.2s;
    opacity: 0.7;
}
.hover-text-decoration-none:hover {
	text-decoration: none;
}
img {
	max-width: 100%;
	height: auto;
}
select, option, input {
	-webkit-appearance: none;
	-moz-appearance: none;
}
.form-check-input[type="checkbox"] {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='white'/%3e%3c/svg%3e");
}

/* header */
.navbar {
	height: var(--head-frame-height);
}
.navbar-toggler:focus {
  box-shadow: none !important;
  border-color: var(--color-info) !important;
  color: var(--color-info) !important;
}
@media screen and (max-width: 991px) {
	.logo {
		max-width: 200px;
	}
}


/* Homepage */
.title h1 {
}
.card {
	-webkit-transition: all 0.2s;-moz-transition: all 0.2s;-ms-transition: all 0.2s;-o-transition: all 0.2s;transition: all 0.2s;
}
.card:hover {
	opacity: 0.9;
}
.title .card h5 {
}
.title .card {
	width: 365px;
	height: 290px;
	display: table-cell;
	vertical-align: middle;
	border: 1px solid var(--color-secondary);
	background-position: 20px 20px !important;
}
.title .card .card-body{
	padding-top: 90px;
}


/* HP references */
.references {
	margin: 30px auto 0px auto;
	text-align: center;
}
.reference {
	position: relative;
	display: inline-block;
	width: 280px;
	height: auto;
	color: white;
	margin: 15px 60px 25px 0px;
	vertical-align: top;
	text-align: left;
	overflow: hidden;
}
.reference h2 {
	font-size: 14px !important;
	letter-spacing: 0px;
	font-weight: 700;
	margin: 5px 0px 15px 0px !important;
}
.reference p {
	margin-bottom: 5px !important;
	font-size: 15px !important;
}
.reference a {
	color: white;
	text-decoration: underline;
}



/* HP references carousel */
div.overflow {
	overflow: hidden;
}
.jcarousel {
	position: relative;
	overflow: hidden;
}
.references.jcarousel {
	width: 100%;
}
.jcarousel div {
	width: 20000em;
	position: relative;
}
.link-next {
	text-align: center;
}
.link-next a {
	display: inline-block;
	font-size: 32px;
	text-transform: uppercase;
	color: white !important;
}
.link-next a:hover {
	opacity: 0.8;
}



/* gallery carousel - TODO */
.gall.jcarousel {
	width: 100%;
}
.jcarousel div {
	width: 20000em;
	position: relative;
}
.gall {
	position: relative;
	display: inline-block;
	width: 220px;
	height: 220px;
	margin-right: 28px;
	vertical-align: top;
	text-align: left;
	overflow: hidden;
	-webkit-transition: all 0.2s;-moz-transition: all 0.2s;-ms-transition: all 0.2s;-o-transition: all 0.2s;transition: all 0.2s;
}
.gall img {
	max-width: 100%;
	height: auto;
}
.gall:hover {
	opacity: 0.8;
}


/*  main content - TODO delete? */
.main-content {
	width: 100%;
	z-index: 1;
	position: relative;
}
.main-content.no-y-padding {
	padding: 0px 4% 0px 4%;
}
.main-content.no-padding {
	padding: 0px 0px 0px 0px;
}

.main-content h1, .main-content h2 {
	margin: 15px 0px 15px 0px;
}
.main-content h3 {
	margin: 15px 0px 20px 0px;
	font-size: 1.5em;
	color: var(--color-secondary);
}
.main-content h4 {
	margin: 15px 0px 20px 0px;
	font-size: 1.2em;
}
.main-content h2 a, .main-content h3 a {
	text-decoration: none;
}
.main-content h2 a:hover, .main-content h3 a:hover {
	text-decoration: underline;
}
.main-content p {
	margin: 0px 0px 25px 0px;
	font-size: 16px;
}
.main-content a {
	text-decoration: underline;
}
.main-content b, .main-content strong {
}
.main-content a:hover {
	text-decoration: none;
}
.main-content iframe {
	max-width: 100%;
}
.main-content a:hover img {
	opacity:0.9;
	filter: alpha(opacity=90);
	-ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=90)";
}
.main-content table {
	border-collapse: collapse;
	width: 100%;
	margin: 5px 0px 50px 0px;
}
.main-content tr td {
	padding: 10px 15px 10px 15px;
	vertical-align: middle;
	position: relative;
	border-bottom: 1px dotted var(--color-secondary);;
}
.main-content input, .main-content textarea, .main-content select  {
}
.main-content input.radio {
	width: 16px;
	height: 16px;
}
.main-content textarea  {
	height: 100px;
}
input.submit, select.select {
	width: 100%;
}
.main-content ul, .main-content ol {
	margin: 10px 0px 20px 0px;
}
.main-content ul li, .main-content ol li {
	margin: 0px 0px 5px 25px;
	font-size: 18px;
}
.main-content hr {
	height: 0px;
	clear: both;
	opacity: 1;
	margin: 25px 0px;
	border-top: 1px dotted var(--color-secondary);
}
.main-content embed {
	max-width: 100%;
}



/* patka */
.footer {
	color: var(--color-secondary);
	background: #F8F8F8;
}
.footer a {
	color: var(--color-secondary);
}
.footer h2 {
}
footer a:hover {
	color: #00ACE9;
}


.mobile-nav-icons {
	bottom: 20px;
	right: 30px;
}
.mobile-nav-icons a {
	width: 66px;
	height: 64px;
	display: inline-block;
	text-align: center;
	border: 1px solid white;
}

/* arrows */
.rollup.fixed {
  position: fixed;
  bottom: 0px;
  right: 0px;
  z-index: 9999;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 15px;
  margin-right: calc(3% + 15px);
  opacity: 0.5;
  filter: alpha(opacity=50);
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)";
  background: rgba(0,0,0,0.1);
  display: none;
}
.rollup a {
	display: block;
	position: relative;
	float: right;
	width: 60px;
	height: 24px;
	margin: 30px 15px 0px 0px;
}
.rollup.fixed a {
	margin: 0px 0px 0px 0px;
}



/* Accordion - TODO delete? */
.accordion-button {
	color: white !important;
	box-shadow: none !important;
	transition: all 0.2s;
}
.accordion-header {
	background-color: rgba(0, 0, 0, 0.1);
}
.accordion-button:focus {
	box-shadow: none !important;
}
.accordion-button:hover {
  opacity: 0.8;
}
.accordion-button:after {
  background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
}
img.accordion-image {
	max-height: 32px;
	width: auto;
}